# generated from catkin/cmake/template/pkgConfig.cmake.in

# append elements to a list and remove existing duplicates from the list
# copied from catkin/cmake/list_append_deduplicate.cmake to keep pkgConfig
# self contained
macro(_list_append_deduplicate listname)
  if(NOT "${ARGN}" STREQUAL "")
    if(${listname})
      list(REMOVE_ITEM ${listname} ${ARGN})
    endif()
    list(APPEND ${listname} ${ARGN})
  endif()
endmacro()

# append elements to a list if they are not already in the list
# copied from catkin/cmake/list_append_unique.cmake to keep pkgConfig
# self contained
macro(_list_append_unique listname)
  foreach(_item ${ARGN})
    list(FIND ${listname} ${_item} _index)
    if(_index EQUAL -1)
      list(APPEND ${listname} ${_item})
    endif()
  endforeach()
endmacro()

# pack a list of libraries with optional build configuration keywords
# copied from catkin/cmake/catkin_libraries.cmake to keep pkgConfig
# self contained
macro(_pack_libraries_with_build_configuration VAR)
  set(${VAR} "")
  set(_argn ${ARGN})
  list(LENGTH _argn _count)
  set(_index 0)
  while(${_index} LESS ${_count})
    list(GET _argn ${_index} lib)
    if("${lib}" MATCHES "^(debug|optimized|general)$")
      math(EXPR _index "${_index} + 1")
      if(${_index} EQUAL ${_count})
        message(FATAL_ERROR "_pack_libraries_with_build_configuration() the list of libraries '${ARGN}' ends with '${lib}' which is a build configuration keyword and must be followed by a library")
      endif()
      list(GET _argn ${_index} library)
      list(APPEND ${VAR} "${lib}${CATKIN_BUILD_CONFIGURATION_KEYWORD_SEPARATOR}${library}")
    else()
      list(APPEND ${VAR} "${lib}")
    endif()
    math(EXPR _index "${_index} + 1")
  endwhile()
endmacro()

# unpack a list of libraries with optional build configuration keyword prefixes
# copied from catkin/cmake/catkin_libraries.cmake to keep pkgConfig
# self contained
macro(_unpack_libraries_with_build_configuration VAR)
  set(${VAR} "")
  foreach(lib ${ARGN})
    string(REGEX REPLACE "^(debug|optimized|general)${CATKIN_BUILD_CONFIGURATION_KEYWORD_SEPARATOR}(.+)$" "\\1;\\2" lib "${lib}")
    list(APPEND ${VAR} "${lib}")
  endforeach()
endmacro()


if(pcl_conversions_CONFIG_INCLUDED)
  return()
endif()
set(pcl_conversions_CONFIG_INCLUDED TRUE)

# set variables for source/devel/install prefixes
if("FALSE" STREQUAL "TRUE")
  set(pcl_conversions_SOURCE_PREFIX /home/thofmann/rpmbuild/BUILD/ros-pcl_conversions-melodic.1.6.2)
  set(pcl_conversions_DEVEL_PREFIX /home/thofmann/rpmbuild/BUILD/ros-pcl_conversions-melodic.1.6.2/devel_isolated/pcl_conversions)
  set(pcl_conversions_INSTALL_PREFIX "")
  set(pcl_conversions_PREFIX ${pcl_conversions_DEVEL_PREFIX})
else()
  set(pcl_conversions_SOURCE_PREFIX "")
  set(pcl_conversions_DEVEL_PREFIX "")
  set(pcl_conversions_INSTALL_PREFIX /usr/lib64/ros)
  set(pcl_conversions_PREFIX ${pcl_conversions_INSTALL_PREFIX})
endif()

# warn when using a deprecated package
if(NOT "" STREQUAL "")
  set(_msg "WARNING: package 'pcl_conversions' is deprecated")
  # append custom deprecation text if available
  if(NOT "" STREQUAL "TRUE")
    set(_msg "${_msg} ()")
  endif()
  message("${_msg}")
endif()

# flag project as catkin-based to distinguish if a find_package()-ed project is a catkin project
set(pcl_conversions_FOUND_CATKIN_PROJECT TRUE)

if(NOT "include;/usr/include/pcl-1.8;/usr/include/eigen3;/usr/include;/usr/include/ni;/usr/include/vtk;/usr/include/freetype2;/usr/include/libxml2;/usr/include/python3.7m;/usr/include/python3.7 " STREQUAL " ")
  set(pcl_conversions_INCLUDE_DIRS "")
  set(_include_dirs "include;/usr/include/pcl-1.8;/usr/include/eigen3;/usr/include;/usr/include/ni;/usr/include/vtk;/usr/include/freetype2;/usr/include/libxml2;/usr/include/python3.7m;/usr/include/python3.7")
  if(NOT "https://github.com/ros-perception/perception_pcl/issues " STREQUAL " ")
    set(_report "Check the issue tracker 'https://github.com/ros-perception/perception_pcl/issues' and consider creating a ticket if the problem has not been reported yet.")
  elseif(NOT "http://wiki.ros.org/pcl_conversions " STREQUAL " ")
    set(_report "Check the website 'http://wiki.ros.org/pcl_conversions' for information and consider reporting the problem.")
  else()
    set(_report "Report the problem to the maintainer 'Paul Bovbel <paul@bovbel.com>, Kentaro Wada <www.kentaro.wada@gmail.com>' and request to fix the problem.")
  endif()
  foreach(idir ${_include_dirs})
    if(IS_ABSOLUTE ${idir} AND IS_DIRECTORY ${idir})
      set(include ${idir})
    elseif("${idir} " STREQUAL "include ")
      get_filename_component(include "${pcl_conversions_DIR}/../../../include" ABSOLUTE)
      if(NOT IS_DIRECTORY ${include})
        message(FATAL_ERROR "Project 'pcl_conversions' specifies '${idir}' as an include dir, which is not found.  It does not exist in '${include}'.  ${_report}")
      endif()
    else()
      message(FATAL_ERROR "Project 'pcl_conversions' specifies '${idir}' as an include dir, which is not found.  It does neither exist as an absolute directory nor in '/usr/lib64/ros/${idir}'.  ${_report}")
    endif()
    _list_append_unique(pcl_conversions_INCLUDE_DIRS ${include})
  endforeach()
endif()

set(libraries "optimized;/usr/lib64/libpcl_common.so;debug;/usr/lib64/libpcl_common.so;optimized;/usr/lib64/libpcl_octree.so;debug;/usr/lib64/libpcl_octree.so;optimized;/usr/lib64/libpcl_io.so;debug;/usr/lib64/libpcl_io.so;/usr/lib64/libboost_system.so;/usr/lib64/libboost_filesystem.so;/usr/lib64/libboost_thread.so;-lpthread;/usr/lib64/libboost_date_time.so;/usr/lib64/libboost_iostreams.so;/usr/lib64/libboost_serialization.so;/usr/lib64/libboost_chrono.so;/usr/lib64/libboost_atomic.so;/usr/lib64/libboost_regex.so;/usr/lib64/libOpenNI.so;/usr/lib64/vtk/libvtksys.so.1;/usr/lib64/vtk/libvtkCommonCore.so.1;/usr/lib64/vtk/libvtkCommonMath.so.1;/usr/lib64/vtk/libvtkCommonMisc.so.1;/usr/lib64/vtk/libvtkCommonSystem.so.1;/usr/lib64/vtk/libvtkCommonTransforms.so.1;/usr/lib64/vtk/libvtkCommonDataModel.so.1;/usr/lib64/vtk/libvtkCommonColor.so.1;/usr/lib64/vtk/libvtkCommonExecutionModel.so.1;/usr/lib64/vtk/libvtkCommonComputationalGeometry.so.1;/usr/lib64/vtk/libvtkFiltersCore.so.1;/usr/lib64/vtk/libvtkFiltersGeneral.so.1;/usr/lib64/vtk/libvtkImagingCore.so.1;/usr/lib64/vtk/libvtkImagingFourier.so.1;/usr/lib64/vtk/libvtkalglib.so.1;/usr/lib64/vtk/libvtkFiltersStatistics.so.1;/usr/lib64/vtk/libvtkFiltersExtraction.so.1;/usr/lib64/vtk/libvtkInfovisCore.so.1;/usr/lib64/vtk/libvtkFiltersGeometry.so.1;/usr/lib64/vtk/libvtkFiltersSources.so.1;/usr/lib64/vtk/libvtkRenderingCore.so.1;/usr/lib64/libz.so;/usr/lib64/libfreetype.so;/usr/lib64/vtk/libvtkRenderingFreeType.so.1;/usr/lib64/vtk/libvtkRenderingContext2D.so.1;/usr/lib64/vtk/libvtkChartsCore.so.1;/usr/lib64/liblz4.so;/usr/lib64/vtk/libvtkIOCore.so.1;/usr/lib64/vtk/libvtkIOLegacy.so.1;/usr/lib64/libexpat.so;/usr/lib64/vtk/libvtkIOXMLParser.so.1;/usr/lib64/vtk/libvtkIOXML.so.1;/usr/lib64/libxml2.so;/usr/lib64/vtk/libvtkIOInfovis.so.1;/usr/lib64/vtk/libvtkglew.so.1;/usr/lib64/vtk/libvtkRenderingOpenGL2.so.1;/usr/lib64/vtk/libvtkRenderingContextOpenGL2.so.1;/usr/lib64/vtk/libvtkDICOMParser.so.1;/usr/lib64/vtk/libvtkmetaio.so.1;/usr/lib64/libjpeg.so;/usr/lib64/libpng.so;/usr/lib64/libtiff.so;/usr/lib64/vtk/libvtkIOImage.so.1;/usr/lib64/vtk/libvtkTestingRendering.so.1;/usr/lib64/vtk/libvtkImagingSources.so.1;/usr/lib64/vtk/libvtkFiltersHybrid.so.1;/usr/lib64/vtk/libvtkFiltersModeling.so.1;/usr/lib64/vtk/libvtkImagingColor.so.1;/usr/lib64/vtk/libvtkImagingGeneral.so.1;/usr/lib64/vtk/libvtkImagingHybrid.so.1;/usr/lib64/vtk/libvtkInteractionStyle.so.1;/usr/lib64/vtk/libvtkRenderingAnnotation.so.1;/usr/lib64/vtk/libvtkRenderingVolume.so.1;/usr/lib64/vtk/libvtkInteractionWidgets.so.1;/usr/lib64/vtk/libvtkViewsCore.so.1;/usr/lib64/vtk/libvtkViewsContext2D.so.1;/usr/lib64/vtk/libvtkFiltersGeneric.so.1;/usr/lib64/vtk/libvtkIOGeometry.so.1;/usr/lib64/vtk/libvtkTestingGenericBridge.so.1;/usr/lib64/vtk/libvtkDomainsChemistry.so.1;/usr/lib64/vtk/libvtkDomainsChemistryOpenGL2.so.1;/usr/lib64/vtk/libvtkParallelCore.so.1;/usr/lib64/vtk/libvtkFiltersAMR.so.1;/usr/lib64/libhdf5.so;/usr/lib64/libsz.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;/usr/lib64/libhdf5_hl.so;/usr/lib64/vtk/libvtkIOAMR.so.1;/usr/lib64/libnetcdf.so;/usr/lib64/vtk/libvtkexoIIc.so.1;/usr/lib64/vtk/libvtkIOExodus.so.1;/usr/lib64/vtk/libvtkImagingMath.so.1;/usr/lib64/vtk/libvtkRenderingVolumeOpenGL2.so.1;/usr/lib64/vtk/libvtkFiltersFlowPaths.so.1;/usr/lib64/vtk/libvtkFiltersImaging.so.1;/usr/lib64/vtk/libvtkRenderingLabel.so.1;/usr/lib64/vtk/libvtkFiltersHyperTree.so.1;/usr/lib64/vtk/libvtkImagingStencil.so.1;/usr/lib64/vtk/libvtkFiltersParallel.so.1;/usr/lib64/vtk/libvtkFiltersParallelImaging.so.1;/usr/lib64/vtk/libvtkFiltersPoints.so.1;/usr/lib64/vtk/libvtkFiltersProgrammable.so.1;/usr/lib64/libpython3.7m.so;/usr/lib64/vtk/libvtkWrappingTools.a;/usr/lib64/vtk/libvtkWrappingPython37Core.so.1;/usr/lib64/vtk/libvtkFiltersPython.so.1;/usr/lib64/vtk/libvtkFiltersSMP.so.1;/usr/lib64/vtk/libvtkFiltersSelection.so.1;/usr/lib64/vtk/libvtkverdict.so.1;/usr/lib64/vtk/libvtkFiltersVerdict.so.1;/usr/lib64/libnetcdf_c++.so;/usr/lib64/vtk/libvtkIONetCDF.so.1;/usr/lib64/libjsoncpp.so;/usr/lib64/vtk/libvtkIOParallel.so.1;/usr/lib64/vtk/libvtkFiltersTexture.so.1;/usr/lib64/vtk/libvtkFiltersTopology.so.1;/usr/lib64/vtk/libvtkGUISupportQt.so.1;/usr/lib64/vtk/libvtksqlite.so.1;/usr/lib64/vtk/libvtkIOSQL.so.1;/usr/lib64/vtk/libvtkGUISupportQtSQL.so.1;/usr/lib64/vtk/libvtkInfovisLayout.so.1;/usr/lib64/vtk/libvtkproj4.so.1;/usr/lib64/vtk/libvtkGeovisCore.so.1;/usr/lib64/vtk/libvtkViewsInfovis.so.1;/usr/lib64/vtk/libvtkViewsGeovis.so.1;/usr/lib64/vtk/libvtkIOEnSight.so.1;/usr/lib64/vtk/libvtkgl2ps.so.1;/usr/lib64/vtk/libvtkRenderingGL2PSOpenGL2.so.1;/usr/lib64/vtk/libvtklibharu.so.1;/usr/lib64/vtk/libvtkIOExport.so.1;/usr/lib64/vtk/libvtkIOExportOpenGL2.so.1;/usr/lib64/vtk/libvtkInteractionImage.so.1;/usr/lib64/vtk/libvtkIOImport.so.1;/usr/lib64/vtk/libvtkIOLSDyna.so.1;/usr/lib64/vtk/libvtkIOMINC.so.1;/usr/lib64/libtheoraenc.so;/usr/lib64/libtheoradec.so;/usr/lib64/libogg.so;/usr/lib64/vtk/libvtkIOMovie.so.1;/usr/lib64/vtk/libvtkIOMySQL.so.1;/usr/lib64/vtk/libvtkTestingIOSQL.so.1;/usr/lib64/vtk/libvtkIOPLY.so.1;/usr/lib64/vtk/libvtkIOParallelXML.so.1;/usr/lib64/vtk/libvtkIOPostgreSQL.so.1;/usr/lib64/vtk/libvtkIOTecplotTable.so.1;/usr/lib64/vtk/libvtkIOVideo.so.1;/usr/lib64/vtk/libvtkImagingStatistics.so.1;/usr/lib64/vtk/libvtkRenderingImage.so.1;/usr/lib64/vtk/libvtkImagingMorphological.so.1;/usr/lib64/vtk/libvtkRenderingLOD.so.1;/usr/lib64/vtk/libvtkRenderingParallel.so.1;/usr/lib64/vtk/libvtkRenderingQt.so.1;/usr/lib64/vtk/libvtkViewsQt.so.1;/usr/lib64/vtk/libvtkWrappingJava.so.1")
foreach(library ${libraries})
  # keep build configuration keywords, target names and absolute libraries as-is
  if("${library}" MATCHES "^(debug|optimized|general)$")
    list(APPEND pcl_conversions_LIBRARIES ${library})
  elseif(${library} MATCHES "^-l")
    list(APPEND pcl_conversions_LIBRARIES ${library})
  elseif(TARGET ${library})
    list(APPEND pcl_conversions_LIBRARIES ${library})
  elseif(IS_ABSOLUTE ${library})
    list(APPEND pcl_conversions_LIBRARIES ${library})
  else()
    set(lib_path "")
    set(lib "${library}-NOTFOUND")
    # since the path where the library is found is returned we have to iterate over the paths manually
    foreach(path /usr/lib64/ros/lib;/usr/lib64/ros/lib)
      find_library(lib ${library}
        PATHS ${path}
        NO_DEFAULT_PATH NO_CMAKE_FIND_ROOT_PATH)
      if(lib)
        set(lib_path ${path})
        break()
      endif()
    endforeach()
    if(lib)
      _list_append_unique(pcl_conversions_LIBRARY_DIRS ${lib_path})
      list(APPEND pcl_conversions_LIBRARIES ${lib})
    else()
      # as a fall back for non-catkin libraries try to search globally
      find_library(lib ${library})
      if(NOT lib)
        message(FATAL_ERROR "Project '${PROJECT_NAME}' tried to find library '${library}'.  The library is neither a target nor built/installed properly.  Did you compile project 'pcl_conversions'?  Did you find_package() it before the subdirectory containing its code is included?")
      endif()
      list(APPEND pcl_conversions_LIBRARIES ${lib})
    endif()
  endif()
endforeach()

set(pcl_conversions_EXPORTED_TARGETS "")
# create dummy targets for exported code generation targets to make life of users easier
foreach(t ${pcl_conversions_EXPORTED_TARGETS})
  if(NOT TARGET ${t})
    add_custom_target(${t})
  endif()
endforeach()

set(depends "pcl_msgs;roscpp;sensor_msgs;std_msgs")
foreach(depend ${depends})
  string(REPLACE " " ";" depend_list ${depend})
  # the package name of the dependency must be kept in a unique variable so that it is not overwritten in recursive calls
  list(GET depend_list 0 pcl_conversions_dep)
  list(LENGTH depend_list count)
  if(${count} EQUAL 1)
    # simple dependencies must only be find_package()-ed once
    if(NOT ${pcl_conversions_dep}_FOUND)
      find_package(${pcl_conversions_dep} REQUIRED NO_MODULE)
    endif()
  else()
    # dependencies with components must be find_package()-ed again
    list(REMOVE_AT depend_list 0)
    find_package(${pcl_conversions_dep} REQUIRED NO_MODULE ${depend_list})
  endif()
  _list_append_unique(pcl_conversions_INCLUDE_DIRS ${${pcl_conversions_dep}_INCLUDE_DIRS})

  # merge build configuration keywords with library names to correctly deduplicate
  _pack_libraries_with_build_configuration(pcl_conversions_LIBRARIES ${pcl_conversions_LIBRARIES})
  _pack_libraries_with_build_configuration(_libraries ${${pcl_conversions_dep}_LIBRARIES})
  _list_append_deduplicate(pcl_conversions_LIBRARIES ${_libraries})
  # undo build configuration keyword merging after deduplication
  _unpack_libraries_with_build_configuration(pcl_conversions_LIBRARIES ${pcl_conversions_LIBRARIES})

  _list_append_unique(pcl_conversions_LIBRARY_DIRS ${${pcl_conversions_dep}_LIBRARY_DIRS})
  list(APPEND pcl_conversions_EXPORTED_TARGETS ${${pcl_conversions_dep}_EXPORTED_TARGETS})
endforeach()

set(pkg_cfg_extras "")
foreach(extra ${pkg_cfg_extras})
  if(NOT IS_ABSOLUTE ${extra})
    set(extra ${pcl_conversions_DIR}/${extra})
  endif()
  include(${extra})
endforeach()
